Subject: bug#13351: [IMPORTANT] Dropping support for split '.info' files in mainline Automake

From: Stefano Lattarini <[email-masked]>
Date: Sat, 12 Jan 2013 16:58:20 +0100

On 01/11/2013 10:55 PM, Paolo Bonzini wrote:
> Il 03/01/2013 21:53, Stefano Lattarini ha scritto:
>
>> So I believe we could follow suit with Automake-NG (see commit dd603e21,
>> <http://lists.gnu.org/archive/html/automake-ng/2012-08/msg00147.html>)
>> and have Automake-generated makefiles pass the '--no-split' option
>> unconditionally to makeinfo invocations (starting from Automake 1.14).
>> This would allow some nice simplifications in our Texinfo recipe
>> (exemplified by the Automake-NG patch referenced above), and offer an
>> automatic fix for bug#12320.
>>
>> Another *very* good aspect of such a change is that it would be 100%
>> transparent to the Automake users.
>>
>> Thoughts, opinions, objections?
> 
> *This* is a change I support.
>
> Paolo
> 
Glad to hear that.  Since so far I've received only positive feedback, I
will proceed to push the change to master in a couple of days if nobody
objects.

Regards,
  Stefano